QGIS Application - Bug report #21367
QGIS 3.6.0 _ Grass Tools 7.6 tools not found in processing tool box
2019-02-25 05:23 AM - Brad Kanther

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 29184

Description

It seems in 3.9 the grass tools can not be found

Where can the Grass 7 tools path be specified 3.6?

() Error executing algorithm ﬁ

This algorithm cannot be run :-(
The specified GRASS 7 Folder "C\GOLDER~1kbinibin" does not contain a valid sek of

GRASS 7 modules, Please, go to the Processing settings dialog, and check that the
GRASS 7 folder is correctly configured
History

#1 - 2019-02-25 10:20 AM - Nyall Dawson
- Status changed from Open to Closed
- Resolution set to fixed/implemented

Fixed by commit:2{305c560eb2aa1be3a936¢c5907bdf1cb1f8dala
#2 - 2019-02-25 12:15 PM - Jiirgen Fischer

Did you start QGIS with the "QGIS Desktop 3.6.0 with GRASS 7.6.0" link?

#3 - 2019-02-26 09:45 AM - Jiirgen Fischer

- Status changed from Closed to Feedback

#4 - 2019-02-26 02:39 PM - Cong Ning

QGIS can't define the path of grass moudle after version 3.4.

| think the problem is a bug. But | try to start QGIS with the "QGIS Desktop 3.6.0 with GRASS 7.6.0" link.
However, | use Grass algorithm in process tools to split some lines. And | get the warning to say the grass stop work. But finally | get the output layer.

#5 - 2019-03-01 07:54 PM - Giovanni Manghi

- Status changed from Feedback to Closed

#6 - 2019-03-05 05:43 AM - Brad Kanther

- File grasspliugin.png added

As a final follow up here. This installation was via OSGEO4W installer and the "GrassPlugin” was not listed as a necessary dependancy of QGIS 3.6

installing. Therefore a shortcut "QGIS 3.6 with GRASS 7.0.6" was not available to the user.

Ticked it on now it works.

grasspliugin.png

Files

grasstools.jpg 31.5KB 2019-02-25 Brad Kanther
grassspecify.jpg 53 KB 2019-02-25 Brad Kanther
grasspliugin.png 445 KB 2019-03-05 Brad Kanther
